/* Problem URL: https://codeforces.com/gym/105321/problem/J */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    ll x;
    cin >> n >> x;
    int lim = x >> 1;

    vl fds(n);
    cin >> fds;

    vl one;
    vl two;
    int c = 0;

    rep(i, n) {
        if (fds[i] * 2 == x) {
            c++;
            continue;
        }

        if (fds[i] <= lim) {
            one.push_back(fds[i]);
            continue;
        }

        two.push_back(fds[i]);
    }

    sortv(one);
    sort(all(two), greater<>());

    if (!one.empty() && !two.empty() && one.back() + two.front() == x) {
        if (one.front() + two.front() != x) {
            reverse(all(one));
        } else if (one.back() + two.back() != x) {
            reverse(all(two));
        }
    }

    if (c > (n + 1) / 2 || (!one.empty() && !two.empty() && one.back() + two.front() == x && c == 0)) {
        cout << "*\n";
        return 0;
    }

    rep(i, one.size()) {
        if (c > 1) {
            cout << lim << ' ';
            c--;
        }

        cout << one[i] << ' ';
    }

    if (c) {
        cout << lim << ' ';
        c--;
    }

    rep(i, two.size()) {
        cout << two[i] << ' ';

        if (c) {
            cout << lim << ' ';
            c--;
        }
    }

    cout << '\n';
}
